=== debian/changelog ===
scalable-cyrfonts (4.7) unstable; urgency=low

  * New upstream version of the URW fonts.  Thanks to Mashrab Kuvatov,
    closes: #281726.
      - integrated Serbian glyphs by Danilo Segan, thanks to Stefan
        Baums, closes: #275214;
      - fixed some Russian Cyrillic glyphs and width in NumbusMono (Free
        Courier); 
      - fixed bug that brokes printing from Qt;
      - added vietnamese glyphs by The Thanh Han;
      - applied Mashrab changes/additions for Uzbek, Tajik and other Asian
        Cyrillic alphabets;
      - fixed glyph names on Chancery so that Macedonian glyphs are in
        place now (by Damjan);
      - wided germandbls in NimbusSansReg/Obli (Free Helvetian).
      - fixed fi/fl ligatures (separated back as suggested by Ralf
        Stubner.  I hope this closes: #237425, thanks to Victor Porton.
  * Do not patch the URW fonts for Serbian glyphs - the patch is applied
    upstream
  * Correct the description of the scalable-cyrfonts-tex package.
    Describe the relations between this package and t1-cyrillic, t1-teams
    and t1-oldslavic.  Add suggests to these packages.  Thanks to Andreas
    Metzler, closes: #284212.
  * Update the copyright file.
  * Rename the font file names to keep them same as in the previous
    version.  Due to limitations of Defoma the font file name may not
    change.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 29 Dec 2004 11:46:20 +0200

scalable-cyrfonts (4.6) unstable; urgency=low

  * Install fonts again in the X11R6 hierarchy.  Thanks to Eugeniy
    Meshcheryakov and Joshua Kwan, closes: #270081, #270346.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed,  8 Sep 2004 23:02:26 +1000

scalable-cyrfonts (4.5) unstable; urgency=low

  * Apply patch by Frank Küster to use generated texmf.cnf.  Thanks to
    Roland Stigge, Florian Ernst, Frank Küster and Alastair McKinstry,
    closes: #265861.
  * Do not install fonts in X11R6 hierarchy.  Thanks to Florian Ernst.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 26 Aug 2004 11:31:48 +0300

scalable-cyrfonts (4.4) unstable; urgency=low

  * s/pfaedit/fontforge/g.  Thanks to Daniel Schepler, closes: #250467.
  * Removed README.font_chages
  * scalable-cyrfonts-tex.README.Debian: write that for unknown reason the
    DVI viewers don't see the fonts.  The users have to convert the DVI
    files to postscript or use pdftex/pdflatex.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 15 Jul 2004 12:08:55 +0300
