## scalable-cyrfonts 4.8

=== Makefile ===
--- 
+++ 
@@ -61,19 +61,20 @@
 
 fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale t1-oldslavic-fonts.scale 
 
-build:	convert fonts.alias fonts.scale cyrfonts.map
+build:	convert fonts.alias fonts.scale scalable-cyrfonts-tex.map
 	cd fontinst && $(MAKE) all
 	touch build
 
-cyrfonts.map:	hint.awk hintinfo
-	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >cyrfonts.map
+scalable-cyrfonts-tex.map:	hint.awk hintinfo
+	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >scalable-cyrfonts-tex.map
+	echo '# -_- DebPkgProvidedMaps -_-' >>scalable-cyrfonts-tex.map
 
 clean:
 	-rm -f unpack convert makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
 	-rm -rf *~
 	-rm -rf teams urw oldslavic fonts
 	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
-	-rm -f *fonts.alias *fonts.scale Fontmap cyrfonts.map
+	-rm -f *fonts.alias *fonts.scale Fontmap scalable-cyrfonts-tex.map
 	-rm -rf fontinst/*.pfb fontinst/*.pfa
 	-cd fontinst && $(MAKE) clean
 	-rm -rf texfonts/ cidfonts/
