=== debian/changelog ===
scalable-cyrfonts (4.8) unstable; urgency=low

  * Use "tex --ini" instead of initex and "tex" instead of "virtex"
    because the new tetex-bin from experimental lacks "virtex" and
    "initex" (see #329972).
  * Include two versions of the T2 package in the source package and use
    cyrfinst from them insted of the version of cyrfinst from tetex-src -
    one of the versions is for use with the older fontinst and another for
    use with the newer.  Remove build-dependency on tetex-src.  This
    closes: #322433, thanks to Frank Küster.
  * Register the fonts acording to the TeX package policy.  This makes
    unnecessary for the user to edit the configuration files in /etc/texmf
    in order to use this package.  Thanks to Andrey Kiselev,
    closes: #312916.
  * Generate TeX fonts for OT2 encoding also.  Thanks to Joerg Friedrich,
    closes: #296455.
  * Check for the existence of /etc/fonts/fonts.conf in t1-*.postinst.
    Thanks to Nikita Youshchenko, closes: #303695.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 25 Sep 2005 22:19:44 +0300
