=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: text
 Priority: optional
 Standards-Version: 3.5.10
-Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, tetex-src (>=1.0.2+20021025-1), zip, sysutils
+Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, sysutils
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
