=== debian/rules ===
--- 
+++ 
@@ -118,8 +118,13 @@
 	todos debian/cyrfonts-win/GPL
 
 install-tex: installdirs
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips
-	cp cyrfonts.map debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
+	install -d debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/
+	cp debian/90scalable-cyrfonts-tex.cfg debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/90scalable-cyrfonts-tex.cfg
+	install -d debian/scalable-cyrfonts-tex/etc/texmf/map/dvips
+	cp scalable-cyrfonts-tex.map debian/scalable-cyrfonts-tex/etc/texmf/map/dvips/scalable-cyrfonts-tex.map
+	dh_link -p scalable-cyrfonts-tex etc/texmf/map/dvips/scalable-cyrfonts-tex.map $(TEXMFROOT)/dvips/scalable-cyrfonts-tex.map
+	install -d debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/
+	echo 90scalable-cyrfonts-tex >debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/scalable-cyrfonts-tex.list
 	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
 	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
 	cp texfonts/*.$(TYPE1FORMAT) debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
