## scalable-cyrfonts 4.10

=== debian/changelog ===
scalable-cyrfonts (4.10) unstable; urgency=low

  * Place the fonts in new X.org directories.  This was not urgent for
    these packages, but at last: thanks to Joey Hess, 
    closes: #362335, #362336, #362333.
  * Updated standards version (3.6.6.2).
  * Change Build-Dependency from sysutils to tofrodos.  Thanks to Matej
    Vela, closes: #382172.
  * Use dh_installtex, conform with the Debian TeX sub-policy, move files
    as suggested by Frank Küster.  Thanks to Frank Küster, Juhapekka
    Tolvanen and Yavor Doganov, closes: #338723, #368880, #353887.
  * Fix in the script generating the map file a bug causing unexisting
    fonts to be used.  Thanks to Javor_nik, closes: #346225.
  * Updated Standards-Version (3.7.2)

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 24 Sep 2006 23:07:28 +0300
