=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.5.10
-Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, sysutils
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, tofrodos, xfonts-utils
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
@@ -78,5 +78,5 @@
  /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
 Section: tex
 Priority: optional
-Depends: tetex-base, tetex-bin
+Depends: ${misc:Depends}
 Suggests: t1-cyrillic, t1-teams, t1-oldslavic
