## scalable-cyrfonts 4.10-0.1

=== fontinst/Makefile ===
--- 
+++ 
@@ -25,12 +25,25 @@
 
 GSFONTS = /usr/share/fonts/type1/gsfonts
 
-CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst
+FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
+			| sed 's/.* //')
+
+NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
+			|| echo yes)
+
+#CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst
+
+NEW_CYRFINST = ../t2/cyrfinst
+OLD_CYRFINST = ../t2-991215/cyrfinst
+CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))
 
 TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
-TEXENCS = OT1 T1 TS1 T2A T2B T2C
+TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C
 
 #################################################################
+
+proba:
+	echo $(CYRFINST)
 
 all: plvplfd tfmvf
 
@@ -79,7 +92,7 @@
 	cat 99cyrfonts-build.cnf >> texmf.cnf
 
 hugelatex.fmt: texmf.cnf 
-	initex '\input hugelatex.ini \dump'
+	tex --ini '\input hugelatex.ini \dump'
 
 face_enc_tex = $(foreach enc, $(TEXENCS), $(addsuffix -$(enc).tex, $(TEXFACES)))
 $(face_enc_tex) : face_enc = $(subst -,/,$(@:%.tex=%))
@@ -90,7 +103,7 @@
 
 latex_fonts: copyall latex_mtx hugelatex.fmt $(face_enc_tex)
 	set -e && for i in $(face_enc_tex); do\
-		virtex \&hugelatex $$i; \
+		tex \&hugelatex $$i; \
 	done
 	touch latex_fonts
