=== debian/changelog ===
scalable-cyrfonts (4.10-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Replace dependency on xutils by ${misc:Depends} to fix dependencies.
    Closes: #405630

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 10 Jan 2007 19:18:16 +0000
