=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +39,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +55,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
