=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 #    My e-mail is zinoviev@debian.org
 
-DH_COMPAT=3
+DH_COMPAT=5
 export DH_COMPAT
 
 SHELL = /bin/bash
@@ -26,7 +26,7 @@
 PSFONTSROOT = /usr/share/fonts/type1
 TTFFONTS = usr/share/fonts/truetype
 CIDFONTS = usr/share/fonts/CID
-XFONTS = /usr/X11R6/lib/X11/fonts
+XFONTS = /usr/share/fonts/X11
 TYPE1FORMAT = pfb
 texpackage = scalable-cyrfonts-tex
 
@@ -118,25 +118,22 @@
 	todos debian/cyrfonts-win/GPL
 
 install-tex: installdirs
-	install -d debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/
-	cp debian/90scalable-cyrfonts-tex.cfg debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/90scalable-cyrfonts-tex.cfg
-	install -d debian/scalable-cyrfonts-tex/etc/texmf/map/dvips
-	cp scalable-cyrfonts-tex.map debian/scalable-cyrfonts-tex/etc/texmf/map/dvips/scalable-cyrfonts-tex.map
-	dh_link -p scalable-cyrfonts-tex etc/texmf/map/dvips/scalable-cyrfonts-tex.map $(TEXMFROOT)/dvips/scalable-cyrfonts-tex.map
-	install -d debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/
-	echo 90scalable-cyrfonts-tex >debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/scalable-cyrfonts-tex.list
-	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
-	cp texfonts/*.$(TYPE1FORMAT) debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
-	cp texfonts/*.afm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
-	cp fontinst2/*.tfm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
-	cp fontinst2/*.vf debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss
-	cp fontinst2/*.fd debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
-	cp fontinst2/*.sty debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/
+	cp scalable-cyrfonts-tex.map debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/$(texpackage).map 
+	dh_installtex -p $(texpackage) map=Map,scalable-cyrfonts-tex.map
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/enc/dvips/$(texpackage)
+	cp 6r.enc debian/$(texpackage)/$(TEXMFROOT)/fonts/enc/dvips/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
+	cp texfonts/*.$(TYPE1FORMAT) debian/$(texpackage)/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
+	cp texfonts/*.afm debian/$(texpackage)/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
+	cp fontinst2/*.tfm debian/$(texpackage)/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
+	cp fontinst2/*.vf debian/$(texpackage)/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)
+	cp fontinst2/*.fd debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
+	cp fontinst2/*.sty debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 
 install: install-base install-teams install-oldslavic install-tex
 
@@ -151,6 +148,23 @@
 	dh_testdir
 	dh_testroot
 	dh_installxfonts
+# A hack due to a bug in debhelper.  When the hack is removed
+# etc/X11/fonts should be replaced everywhere by etc/X11/fonts/X11R7
+	tmp=`tempfile` && \
+	for script in debian/*.debhelper; do \
+		sed \
+			-e 's/update-fonts-\(dir\|alias\|scale\)  *\(-7 \|--x11r7-layout \)\?/update-fonts-\1 --x11r7-layout /g' \
+			-e 's/\(which  *update-fonts-\(dir\|alias\|scale\) \) *\(-7\|--x11r7-layout\)/\1/g' \
+			$$script >$$tmp && \
+		cat $$tmp >$$script; \
+	done && \
+	rm $$tmp
+	for dir in debian/*/etc/X11/fonts; do \
+		mkdir X11R7; \
+		mv $$dir/* X11R7/; \
+		mv X11R7 $$dir/; \
+	done
+# End of the hack. 
 	dh_installdefoma
 	dh_installdocs
 	dh_installchangelogs
