## scalable-cyrfonts 4.11

=== debian/changelog ===
scalable-cyrfonts (4.11) unstable; urgency=low

  * Add Build-Dependency on texlive-font-utils.  Closes: #422480.  Thanks
    to Jérémy Bobbio for reporting the problem and to Cyril Brulebois for
    fixing it.
  * In debian/rules remove an obsoleted hack to overcome a bug in
    dh_installxfonts.
  * Use debian/compat instead of DH_COMPAT.
  * Do not install in /usr/share/fonts/type1.  Install directly in
    /usr/share/fonts/X11/Type1.
  * Invoke fc-cache or xftcache both on /usr/X11R6/lib/X11/fonts/Type1 and
    /usr/share/fonts/X11/Type1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 16 Jul 2007 10:58:46 +0300
