=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: text
 Priority: optional
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, tofrodos, xfonts-utils
+Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
@@ -22,7 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +39,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +55,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
