=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,11 @@
 
 #    My e-mail is zinoviev@debian.org
 
-DH_COMPAT=5
-export DH_COMPAT
-
 SHELL = /bin/bash
 TEXMFROOT = usr/share/texmf
-PSFONTSROOT = /usr/share/fonts/type1
+PSFONTSROOT = /usr/share/fonts/X11/Type1
 TTFFONTS = usr/share/fonts/truetype
 CIDFONTS = usr/share/fonts/CID
-XFONTS = /usr/share/fonts/X11
 TYPE1FORMAT = pfb
 texpackage = scalable-cyrfonts-tex
 
@@ -59,11 +55,8 @@
 	zip -j cyrfonts-win.zip debian/cyrfonts-win/*
 
 install-base: package = t1-cyrillic
-install-base: fontdir = cyrillic
 install-teams: package = t1-teams
-install-teams: fontdir = teams
 install-oldslavic: package = t1-oldslavic
-install-oldslavic: fontdir = oldslavic
 
 install-base install-teams install-oldslavic: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)
 
@@ -73,15 +66,11 @@
 
 install-base install-teams install-oldslavic: installdirs
 	awk -f hint.awk -v cat=type1 -v pkg=$(package) <hintinfo >debian/$(package).defoma-hints
-	install -d debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
-	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
+	install -d debian/$(package)/$(PSFONTSROOT)/
+	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/
 	install -d debian/$(package)/etc/X11/fonts/Type1
 	cp $(package)-fonts.scale debian/$(package)/etc/X11/fonts/Type1/$(package).scale
 	cp $(package)-fonts.alias debian/$(package)/etc/X11/fonts/Type1/$(package).alias
-	for j in $(fonts) ; do \
-		i=`basename $$j`; \
-		dh_link -p$(package) $(PSFONTSROOT)/$(fontdir)/$$i $(XFONTS)/Type1/$$i; \
-	done
 
 install-X: installdirs
 	install -d debian/cyrfonts-X/
@@ -148,23 +137,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installxfonts
-# A hack due to a bug in debhelper.  When the hack is removed
-# etc/X11/fonts should be replaced everywhere by etc/X11/fonts/X11R7
-	tmp=`tempfile` && \
-	for script in debian/*.debhelper; do \
-		sed \
-			-e 's/update-fonts-\(dir\|alias\|scale\)  *\(-7 \|--x11r7-layout \)\?/update-fonts-\1 --x11r7-layout /g' \
-			-e 's/\(which  *update-fonts-\(dir\|alias\|scale\) \) *\(-7\|--x11r7-layout\)/\1/g' \
-			$$script >$$tmp && \
-		cat $$tmp >$$script; \
-	done && \
-	rm $$tmp
-	for dir in debian/*/etc/X11/fonts; do \
-		mkdir X11R7; \
-		mv $$dir/* X11R7/; \
-		mv X11R7 $$dir/; \
-	done
-# End of the hack. 
 	dh_installdefoma
 	dh_installdocs
 	dh_installchangelogs
