## scalable-cyrfonts 4.12

=== debian/changelog ===
scalable-cyrfonts (4.12) unstable; urgency=low

  * Export FONTFORGE_LANGUAGE=pe variable for fontforge in convert_fonts.
    Thanks to Lucas Nussbaum for reporting this bug and to Gregory Colpart
    for providing a solution.  Closes: #442970.
  * Do not ignore sub-make errors in the clean target in debian/rules.
  * Updated standards-version: 3.7.3

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 17 Feb 2008 21:52:36 +0200
