=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils
 Build-Depends-Indep: defoma (>= 0.7.0)
