## scalable-cyrfonts 4.12+nmu2

=== debian/changelog ===
scalable-cyrfonts (4.12+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to lenny-goal bug fix.
  * Clear obsolete conffiles that were left over from etch for t1-cyrillic,
    t1-oldslavic and t1-teams. Closes: #455040, #455042, #455043.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 24 Nov 2008 16:11:38 +0700

scalable-cyrfonts (4.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reintroduce 4.10-0.1 NMU, which was lost during later merge by maintainer:
    Drop direct dependency on xutils (Closes: #405630)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 22 Aug 2008 15:06:26 +0200
