=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 clean:
 	dh_testdir
-	-$(MAKE) clean
+	$(MAKE) clean
 	-rm -rf fontinst2
 	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
 	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
