## scalable-cyrfonts 4.13

=== fontinst/Makefile ===
--- 
+++ 
@@ -25,11 +25,13 @@
 
 GSFONTS = /usr/share/fonts/type1/gsfonts
 
-FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
-			| sed 's/.* //')
+# FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
+# 			| sed 's/.* //')
 
-NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
-			|| echo yes)
+# NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
+# 			|| echo yes)
+
+NEW_FONTINST = yes
 
 #CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst
