=== debian/changelog ===
scalable-cyrfonts (4.13) unstable; urgency=low

  * Include cyrfonts-win.zip and cyrfonts-X.tar.gz in the source package
    in order to assist users on other OS.  Thanks to Roland Hughes.
  * Correct directory in the hint files.  Thanks to Jakob Bohm, Ionut
    Georgescu, Drew Parsons and Ryo Furue,
    closes: #551503, #551504, #551505, #410766.
  * Add build-dependency on tex-common (>= 1.18).  Thanks to Manoj
    Srivastava, closes: #553574.
  * Do not recommend xfs.  Suggest xfs | xserver.  Thanks to Yavor
    Doganov, closes: #546295.
  * fontinst/Makefile: Assume that new fontinst is installed and use
    t2/cyrfinst.
  * Updated standards-version, remove duplicated word from the description
    of t1-oldslavic.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 06 Nov 2009 15:35:09 +0200
