=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils
+Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
@@ -23,7 +23,7 @@
 Section: x11
 Priority: optional
 Depends: defoma (>= 0.5.0), ${misc:Depends}
-Recommends: xfs (>=4.0) | xserver-xfree86
+Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
 
@@ -40,15 +40,15 @@
 Section: x11
 Priority: optional
 Depends: defoma (>= 0.5.0), ${misc:Depends}
-Recommends: xfs (>=4.0) | xserver-xfree86
+Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
 
 Package: t1-oldslavic
 Architecture: all
 Description: OldSlavic -- a Cyrillic Type1 font with medieval design
- The letters in this font resemble the look of the the medieval
- Cyrillic printed books.
+ The letters in this font resemble the look of the medieval Cyrillic
+ printed books.
  .
  This font is not for general use.  It contains only the basic
  Cyrillic and Latin letters; there are almost no punctuation signs in
@@ -56,7 +56,7 @@
 Section: text
 Priority: optional
 Depends: defoma (>= 0.5.0), ${misc:Depends}
-Recommends: xfs (>=4.0) | xserver-xfree86
+Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
