=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(MAKE) clean
 	-rm -rf fontinst2
 	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
-	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
+#	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
 	-rm -f build firstbuild
 	-rm -f debian/*.defoma-hints
 	-rm -f installdirs
@@ -49,10 +49,10 @@
 
 cyrfonts-X.tar.gz: install-X
 	tar cf cyrfonts-X.tar -C debian cyrfonts-X
-	gzip -9 cyrfonts-X.tar
+	gzip -9f cyrfonts-X.tar
 
 cyrfonts-win.zip: install-win
-	zip -j cyrfonts-win.zip debian/cyrfonts-win/*
+	cd debian/cyrfonts-win && zip -r ../../cyrfonts-win.zip *
 
 install-base: package = t1-cyrillic
 install-teams: package = t1-teams
@@ -91,7 +91,7 @@
 
 install-win: installdirs
 	install -d debian/cyrfonts-win/
-	cp fonts/*.{ttf,pfm} debian/cyrfonts-win/
+	cp fonts/*.ttf debian/cyrfonts-win/
 	for doc in debian/*.docs; do \
 		pkg=`basename $$doc .docs`; \
 		pkg=$${pkg#t1-}; \
@@ -124,7 +124,7 @@
 	cp fontinst2/*.fd debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 	cp fontinst2/*.sty debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 
-install: install-base install-teams install-oldslavic install-tex
+install: install-base install-teams install-oldslavic install-tex cyrfonts-X.tar.gz cyrfonts-win.zip
 
 installdirs: build
 	dh_testdir
