## scalable-cyrfonts 4.14

=== debian/changelog ===
scalable-cyrfonts (4.14) unstable; urgency=low

  * Transition away from defoma.  Thanks to Paul Wise, closes: #649832.
    Thanks to Christian PERRIER for the patch.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Nov 2011 14:24:33 +0200
