=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Priority: optional
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
-Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
 Architecture: all
@@ -22,7 +21,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +38,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +54,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
