=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: scalable-cyrfonts
-Maintainer: Anton Zinoviev <zinoviev@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
 Standards-Version: 3.8.1
-Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
+Build-Depends: debhelper (>= 8.1.0~), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
 
 Package: t1-cyrillic
 Architecture: all
@@ -21,6 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
@@ -38,6 +40,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
@@ -54,6 +57,7 @@
  it.
 Section: text
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
