## scalable-cyrfonts 4.15

=== debian/changelog ===
scalable-cyrfonts (4.15) unstable; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on
    a new enough version of dpkg rather than using
    'dpkg-maintscript-helper supports' guards, leading to more predictable
    behaviour on upgrades.  Patch provided by Colin Watson, closes: #659741.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Feb 2012 21:43:38 +0200
