## scalable-cyrfonts 4.16

=== fontinst/Makefile ===
--- 
+++ 
@@ -39,13 +39,12 @@
 OLD_CYRFINST = ../t2-991215/cyrfinst
 CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))
 
-TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
+TEXMF.CNF = /usr/share/texlive/texmf/web2c/texmf.cnf
+
+TEXFACES = ftm fhv fcr fag fbk fsb fpl fta fsj fzc
 TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C
 
 #################################################################
-
-proba:
-	echo $(CYRFINST)
 
 all: plvplfd tfmvf
 
@@ -90,7 +89,7 @@
 	touch latex_mtx
 
 texmf.cnf: 99cyrfonts-build.cnf
-	cp /etc/texmf/texmf.cnf .
+	cp $(TEXMF.CNF) .
 	cat 99cyrfonts-build.cnf >> texmf.cnf
 
 hugelatex.fmt: texmf.cnf
