=== debian/changelog ===
scalable-cyrfonts (4.16) unstable; urgency=low

  * TeX font family renaming: fnc -> fsb (Free Schoolbook).  Closes: #593448.
  * fontinst/Makefile: updated location of texmf.cnf.  Closes: #666647.
  * Bump version (4.15 => 4.16). Closes: #668882.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 14 Sep 2012 17:42:37 +0300
