## scalable-cyrfonts 4.16%2Bnmu1

=== fontinst/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 OLD_CYRFINST = ../t2-991215/cyrfinst
 CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))
 
-TEXMF.CNF = /usr/share/texlive/texmf/web2c/texmf.cnf
+TEXMF.CNF = /usr/share/texlive/texmf-dist/web2c/texmf.cnf
 
 TEXFACES = ftm fhv fcr fag fbk fsb fpl fta fsj fzc
 TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C
