=== debian/changelog ===
scalable-cyrfonts (4.16+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * fontinst/Makefile: updated location of texmf.cnf.  Closes: #713239.

 -- David Prévot <taffit@debian.org>  Sat, 28 Dec 2013 22:39:50 -0400
