=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scalable-cyrfonts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anton Zinoviev <zinoviev@debian.org>
+Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
 Standards-Version: 3.8.1
