## scalable-cyrfonts 4.17

=== debian/changelog ===
scalable-cyrfonts (4.17) unstable; urgency=medium

  * Apply a patch by Sascha Steinbiss to use luatex instead of tex.
    Closes: #852929.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 19 Feb 2017 16:47:50 +0300
